Skip to main content

Get Professional Profile

Retrieve the professional profile for a specific professional.

Request

GET https://api.meetinglawyers.com/chat/professional/{professional_id}

Headers

NameValue
Api-KeyIntegration identifier provided by MeetingLawyers
AuthorizationBearer token in JWT format retrieved from User Authenticate
Acceptapplication/json

Response

Returns a Professional entity with all information needed for its rendering.

Professional entity

NameTypeValue
professional_idStringProfessional unique identifier
statusString"offline", "online"
photoStringURL of a photo of the professional
nameStringName of the professional
titleStringProfessional short description in plain text
title_htmlStringShort professional description with basic html support (bold, italic, underline, color)
descriptionStringLong professional description
speciality_idIntegerSee available specialities
collegiate_numberStringProfessional's collegiate number
schedulesArray<Schedule>List of connection schedules
next_connection_atStringDatetime in UTC (YYYY-MM-DDThh:mm) of next connection time. NULL if professional is already connected.
next_disconnection_atStringDatetime in UTC (YYYY-MM-DDThh:mm) of next disconnection time. NULL if professional is already disconnected.
roomRoomChat room entity

Example

{
"professional_id": "285c3d07-9b63-41e0-829f-5d51b31ffd29",
"status": "online",
"avatar": "https://www.meetinglawyer.com/professionals/avatars/285c3d07.jpg",
"name": "José Martín",
"title": "Abogado General",
"title_html": "Abogado General",
"description": "Abogado colegiado como ejerciente en el Ilustre Colegio de Abogados de Barcelona bajo el número 138.021. Licenciado por la Universidad Autónoma de Barcelona. Master en derecho laboral en el Ilustre Colegio de Abogados de Barcelona.",
"speciality": 1,
"collegiate_number": "138.021",
"schedules": [
{
"day":"monday",
"start_first_period": "7:00",
"end_first_period": "12:00",
"start_second_period": "13:00",
"end_second_period": "16:00"
},
{
"day":"wednesday",
"start_first_period": "7:00",
"end_first_period": "12:00",
"start_second_period": "13:00",
"end_second_period": "16:00"
}
],
"next_connection_at": "2021-08-01T07:00",
"next_disconnection_at": null,
"room_id": 34652
}